Add Cart Line Items

Adds a line items to the *Cart*. > #### Notes > * Substitute your storefront domain for `yourstore.example.com`. > * The Send a Test Request feature is not currently supported for this endpoint. > * To prevent lost updates due to concurrent requests overriding changes made by others, it is recommended to enable optimistic concurrency control by including the `version` field in the request payload. If the provided version does not match the version on the server, a conflict error will be returned, which the client can handle accordingly.

Path parameters

cartIdstringRequired

Request

objectRequired
OR
objectRequired
OR
objectRequired

Response

idstringformat: "UUID"
Cart ID, provided after creating a cart with a POST.
customerIdinteger
ID of the customer to which the cart belongs.
emailstring
The cart's email. This is the same email that is used in the billing address
currencyobject
This will always be the same between cart and checkout.
isTaxIncludedboolean
Whether this item is taxable.
baseAmountdouble

Cost of cart’s contents, before applying discounts.

discountAmountdouble

Order based discounted amount only - Coupon discounts and product based discounts are excluded.

cartAmountdouble

Sum of line-items amounts, minus cart-level discounts and coupons. This amount includes taxes (where applicable).

couponslist of objects
discountslist of objects
lineItemsobject
createdTimestringformat: "ISO-8601"
Time when the cart was created.
updatedTimestringformat: "ISO-8601"
Time when the cart was last updated.
localestring
Locale of the cart.
versioninteger
The current version of the cart increments with each successful update. You can use it to enable optimistic concurrency control for subsequent updates.

Errors

409
Conflict Error